Module javafx.graphics
Package javafx.geometry

## Enum HorizontalDirection

- java.lang.Object
- - java.lang.Enum<HorizontalDirection>
  - - javafx.geometry.HorizontalDirection

- All Implemented Interfaces:
    `Serializable`, `Comparable<HorizontalDirection>`, `Constable`

      public enum HorizontalDirection
      extends Enum<HorizontalDirection>

  Enumeration representing a horizontal direction.
  Since:
    JavaFX 2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LEFT` | A direction to the left
    `RIGHT` | A direction to the right

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static HorizontalDirection` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HorizontalDirection[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final HorizontalDirection LEFT

      A direction to the left

    - #### RIGHT

          public static final HorizontalDirection RIGHT

      A direction to the right

  - ### Method Detail

    - #### values

          public static HorizontalDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HorizontalDirection valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null